commit:     b275765716178c97ab294eaf6199fd1b6af24b76
Author:     Tupone Alfredo <tupone <AT> gentoo <DOT> org>
AuthorDate: Wed May 15 20:14:41 2019 +0000
Commit:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
CommitDate: Wed May 15 20:14:41 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b2757657

dev-tcltk/tcllib: Fix some test with newer tcl

Closes: https://bugs.gentoo.org/681234
Signed-off-by: Alfredo Tupone <tupone <AT> gentoo.org>
Package-Manager: Portage-2.3.62, Repoman-2.3.11

 dev-tcltk/tcllib/tcllib-1.19.ebuild | 12 ++++++++++++
 1 file changed, 12 insertions(+)

diff --git a/dev-tcltk/tcllib/tcllib-1.19.ebuild 
b/dev-tcltk/tcllib/tcllib-1.19.ebuild
index c2701e93c48..63a889b0779 100644
--- a/dev-tcltk/tcllib/tcllib-1.19.ebuild
+++ b/dev-tcltk/tcllib/tcllib-1.19.ebuild
@@ -27,6 +27,18 @@ DOCS=(
 )
 HTML_DOCS=( devdoc/devguide.html devdoc/releaseguide.html )
 
+src_prepare() {
+       default
+       if has_version ">=dev-lang/tcl-8.6.9"; then
+               sed -i \
+                       -e "s|::hook::call|call|" \
+                       -e "s|::string::token::shell|shell|" \
+                       "${S}"/modules/hook/hook.test \
+                       "${S}"/modules/string/token_shell.test \
+                       || die
+       fi
+}
+
 src_test() {
        USER= virtx emake test_batch
 }

Reply via email to